Bug 1278731 - Reset View to Defaults occasionally does not reset all changes
Reset View to Defaults occasionally does not reset all changes
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nautilus (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Carlos Soriano
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 05:11 EST by Martin Simon
Modified: 2017-02-17 04:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-17 04:37:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Simon 2015-11-06 05:11:54 EST
Description of problem:
In nautilus I can change sort keys, hidden files visibility and other options. I can also reset all these change to their default state. However, the Reset View to Defaults option does not work reliably. In our automation it actually does not work at all. The bug results in reseting only some of changes.

Version-Release number of selected component (if applicable):
nautilus-3.14.3-7.el7.x86_64

How reproducible:
on "slow" system (beaker, vm, etc.) almost 100%, locally almost 0%

Steps to Reproduce:
1. Click "Reset View to Defaults" and store options states
2. Change sorting key (e.g. to By Modification Time)
3. Toggle Reversed Order option
4. Toggle Show Hidden Files option
5. Click Reset View to Defaults again and compare with original states
6. Repeat at least 10 times on a e.g vm, to be sure

Actual results:
Only hidden files visibility is restored

Expected results:
All options are restored

Additional info:
The bug has been originally spotted in nautilus automation: http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2015/11/11384/1138452/2313839/35822486/175374186/test_log-nautilus_Test56_resetViewToDefaults.log
The results are there quite consistent.
Comment 2 Tomas Pelka 2017-02-17 04:37:28 EST
Reset View to Defaults is not available anymore in 3.22 nautilus

Note You need to log in before you can comment on or make changes to this bug.